Subject: bug#17073: 24.3.50; file-symlink-p doesn't return t as described in the doc

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Mar 2014 20:41:53 -0400

>> If the leading directories of @var{filename} include symbolic links,
>> this function recursively follows them.
>> Is this obvious?
> Hard to say.  I think it's pretty obvious to those who are used to
> semantics of symlinks (I actually find strange and even confusing the
> fact that the manual insists on telling which functions follow links
> and in which parts of the filename).  For those who are not used to
> symlinks, I'm pretty sure even the above sentence does not say enough.

I think the sentence is more confusing than helpful.  To me it makes it
sound like there something special going on, whereas it's just business
as usual.  And as you say, for people not used to the semantics of
symlinks it's not helpful either (and putting it in file-symlink-p is
confusing since it gives the impression that symlinks only affect
file-symlink-p).

        Stefan